Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.constructionheuristic.placer
Class QueuedEntityPlacerConfig

    java.lang.Object
      org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig
          org.optaplanner.core.config.constructionheuristic.placer.QueuedEntityPlacerConfig

    public class QueuedEntityPlacerConfig

extends EntityPlacerConfig

Field Summary
`protected EntitySelectorConfig` | `entitySelectorConfig`
`protected List<MoveSelectorConfig>` | `moveSelectorConfigList`

Constructor Summary
`QueuedEntityPlacerConfig()`

Method Summary
`QueuedEntityPlacer` | `buildEntityPlacer(HeuristicConfigPolicy configPolicy, Termination phaseTermination)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`List<MoveSelectorConfig>` | `getMoveSelectorConfigList()`
`void` | `inherit(QueuedEntityPlacerConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`void` | `setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.constructionheuristic.placer.EntityPlacerConfig
`deduceEntityDescriptor, inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entitySelectorConfig

    protected EntitySelectorConfig entitySelectorConfig

### moveSelectorConfigList

    protected List<MoveSelectorConfig> moveSelectorConfigList

Constructor Detail

### QueuedEntityPlacerConfig

    public QueuedEntityPlacerConfig()

Method Detail

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### getMoveSelectorConfigList

    public List<MoveSelectorConfig> getMoveSelectorConfigList()

### setMoveSelectorConfigList

    public void setMoveSelectorConfigList(List<MoveSelectorConfig> moveSelectorConfigList)

### buildEntityPlacer

    public QueuedEntityPlacer buildEntityPlacer(HeuristicConfigPolicy configPolicy,
                                                Termination phaseTermination)

  Specified by:
    `buildEntityPlacer` in class `EntityPlacerConfig`

### inherit

    public void inherit(QueuedEntityPlacerConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `EntityPlacerConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.